package com.ssj.service.sys.fx.service;

import com.ssj.bean.sys.fx.domain.Materiel;
import com.ssj.bean.sys.fx.domain.MaterielTemplate;
import com.ssj.framework.core.common.service.BaseService;
import com.ssj.framework.core.util.ResponseEntity;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Map;

public interface MaterielService extends BaseService<Materiel,String> {
    Page<Map<String, Object>> findByPageMap(Map<String, Object> params, Pageable initPage);

    List<Materiel> findMaterielByCode(String materielCode);

    ResponseEntity saveMaterieDel(MaterielTemplate template, int delNum, String s, int lostNum,int isNew,String loginName)throws Exception;

    Page<Map<String, Object>> findMaterielLeafByPageMap(Map<String, Object> params, Pageable initPage);

    Page<Map<String, Object>> findMaterielOffLeafByPageMap(Map<String, Object> params, Pageable initPage);

    Page<Map<String, Object>> vipDerverList(Map<String, Object> params, Pageable initPage);

    Page<Map<String, Object>> MonthInAndOutList(Map<String, Object> params, Pageable initPage);

    List<Map<String, Object>> monthInAndOutDetailList(Map<String, Object> params);

    Page<Map<String, Object>> findForPageList(Map<String, Object> params, Pageable initPage);

    void orderDetailClose(String[] ids, int i);
}
